class GameData < Sinatra::Base
  get '/result' do
    results = Result.reverse(:updated_at).limit(10).all()

    erb :'result/index', locals: {
      title: 'List of Results',
      results: results
    }
  end

  get '/result/add' do
    hardware = Hardware.all()
    benchmarks = Benchmark.all()

    erb :'result/add', locals: {
      title: 'Add Result',
      hardware: hardware,
      benchmarks: benchmarks
    }
  end
  post '/result/add' do
    benchmark = Benchmark.where(:id => params[:result_benchmark]).first()
    formatted_score = params[:result_average]
    if benchmark.scoring == 'fps'
      formatted_score = params[:result_average] + ':' + params[:result_minimum] + ':' + params[:result_maximum]
    end

    result = Result.create(
      hardware_id: params[:result_hardware],
      benchmark_id: params[:result_benchmark],
      score: formatted_score
    )

    redirect "/result"
  end
end
